Blocage sur création certificat

Please fill out the fields below so we can help you better. Note: you must provide your domain name to get help. Domain names for issued certificates are all made public in Certificate Transparency logs (e.g. https://crt.sh/?q=example.com), so withholding your domain name here does not increase secrecy, but only makes it harder for us to provide help.

My domain is:

I ran this command: sudo /etc/letsencrypt/letsencrypt-auto certonly --webroot --email -d -w /domoticz/www/

It produced this output: Upgrading certbot-auto 1.6.0 to 1.9.0...
Replacing certbot-auto...
Creating virtual environment...
usage: virtualenv [--version] [--with-traceback] [-v | -q] [--app-data APP_DATA] [--reset-app-data] [--upgrade-embed-wheels] [--discovery {builtin}] [-p py] [--creator {builtin,cpython2-posix}] [--seeder {app-data,pip}] [--no-seed]
[--activators comma_sep_list] [--clear] [--system-site-packages] [--symlinks | --copies] [--no-download | --download] [--extra-search-dir d [d ...]] [--pip version] [--setuptools version] [--wheel version] [--no-pip]
[--no-setuptools] [--no-wheel] [--no-periodic-update] [--symlink-app-data] [--prompt prompt] [-h]
dest
virtualenv: error: unrecognized arguments: --no-site-packages
Traceback (most recent call last):
File "", line 27, in
File "", line 19, in create_venv
File "/usr/lib/python2.7/subprocess.py", line 190, in check_call
raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['virtualenv', '--no-site-packages', '--python', '/usr/bin/python2.7', '/opt/eff.org/certbot/venv']' returned non-zero exit status 2

My web server is (include version): Domoticz

The operating system my web server runs on is (include version): Raspbian Buster

My hosting provider, if applicable, is: Privé

I can login to a root shell on my machine (yes or no, or I don't know): Yes

I'm using a control panel to manage my site (no, or provide the name and version of the control panel):

The version of my client is (e.g. output of certbot --version or certbot-auto --version if you're using Certbot):


Bonjour,

Je bloque à la création d'un certificat sur l'erreur :

virtualenv: error: unrecognized arguments: --no-site-packages

Merci par avance de votre aide

Salutations

1 Like

Salutations :slightly_smiling_face:

L'erreur se produit lorsque certbot-auto tente de mettre à jour de la version 1.6.0 à la version 1.9.0. Le paramètre "--no-site-packages" utilisé semble être incompatible.

C'est un problème connu:

Il est recommandé de passer à l'utilisation uniquement de certbot au lieu de certbot-auto.

Quel système d'exploitation (comme Debian ou Ubuntu) utilisez-vous et quelle est sa version?

Quel logiciel de serveur Web (comme Apache ou nginx) utilisez-vous?

Bonjour et merci de votre réponse,

Je suis sur Raspbian Buster
Mon serveur est domoticz avec apache.

En revanche je ne comprends pas très bien la différence d'utilisation entre "certbot" et "certbot-auto"...... auriez vous des précisions à me donner ?

Tous mes remerciements

1 Like

Vous êtes le bienvenu. :slightly_smiling_face:

L'utilisation est la même pour certbot et certbot-auto car certbot-auto est juste un script encapsulant certbot.

Vous pouvez installer la dernière version "snap" de certbot en utilisant le lien ci-dessous. Vous devez désinstaller toutes les versions précédentes avant d'installer la nouvelle version. Cela fait partie des instructions.


@_az

Will the snap version of certbot work with Raspbian?

Yes, there is a Certbot snap for ARM devices.

I've tested it out on a Pi4 with Raspbian Buster and it works fine.

2 Likes

Merci

J'installerai demain et donnerai le résultat

1 Like

Thanks, _az. :slightly_smiling_face: